Bug 779867 - (SOA-2226) ReplyTo EPR must be manually reset after Aggregator action is used
ReplyTo EPR must be manually reset after Aggregator action is used
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.2
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 09:48 EDT by Kevin Conner
Modified: 2011-02-17 05:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 05:36:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2226 None None None Never

  None (edit)
Description Kevin Conner 2010-08-11 09:48:43 EDT
project_key: SOA
Comment 1 Kevin Conner 2010-08-11 09:49:01 EDT
Link: Added: This issue depends JBESB-3311
Comment 2 Kevin Conner 2010-08-11 09:49:58 EDT
Link: Added: This issue is incorporated by SOA-2210
Comment 3 Laura Bailey 2010-12-16 19:41:28 EST
Writer: Added: Darrin
Comment 4 Laura Bailey 2010-12-16 19:47:58 EST
Release Notes Docs Status: Added: Not Yet Documented
Comment 6 Kevin Conner 2011-02-17 05:20:20 EST
Any ReplyTo EPR which was present on the incoming messages to the Aggregator was never being propagated to the aggregated message.  As a result it was necessary to explicitly set the EPR using a pipeline action after the aggregator.

The incoming EPR is now propagated to the aggregated message provided that all incoming messages specify the same EPR.
Comment 7 Dana Mison 2011-02-17 05:30:01 EST
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Resolved Issue
Release Notes Text: Added: Any ReplyTo EPR which was present on incoming messages to the Aggregator was not being propagated to the aggregated message.  As a result it was necessary to explicitly set the EPR using a pipeline action after the aggregator.  Now, if the same EPR is present on each of the incoming messages to the aggregator then that EPR will be propagated to the aggregated message.
Comment 8 Dana Mison 2011-02-17 05:32:02 EST
Release Notes Text: Removed: Any ReplyTo EPR which was present on incoming messages to the Aggregator was not being propagated to the aggregated message.  As a result it was necessary to explicitly set the EPR using a pipeline action after the aggregator.  Now, if the same EPR is present on each of the incoming messages to the aggregator then that EPR will be propagated to the aggregated message. Added: Any ReplyTo EPR which was present on incoming messages to the Aggregator were  not being propagated to the aggregated message.  As a result it was necessary to explicitly set the EPR using a pipeline action after the aggregator.  Now, if the same EPR is present on each of the incoming messages to the aggregator then that EPR will be propagated to the aggregated message.
Comment 9 Dana Mison 2011-02-17 05:36:35 EST
Release Notes Text: Removed: Any ReplyTo EPR which was present on incoming messages to the Aggregator were  not being propagated to the aggregated message.  As a result it was necessary to explicitly set the EPR using a pipeline action after the aggregator.  Now, if the same EPR is present on each of the incoming messages to the aggregator then that EPR will be propagated to the aggregated message. Added: Any ReplyTo EPR which was present on incoming messages to the Aggregator was  not being propagated to the aggregated message.  As a result it was necessary to explicitly set the EPR using a pipeline action after the aggregator.  Now, if the same EPR is present on each of the incoming messages to the aggregator then that EPR will be propagated to the aggregated message.

Note You need to log in before you can comment on or make changes to this bug.